Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store.bdbn
Class BDbHelper

    java.lang.Object
      org.codehaus.activemq.store.bdbn.BDbHelper

public class BDbHelper
extends java.lang.Object

Some helper factory methods for creating default configured Berkeley DB objects

Version:
  $Revision: 1.1 $

Field Summary
`static int` | `TRANSACTION_FLAGS`

Constructor Summary
`BDbHelper()`

Method Summary
`static com.sleepycat.db.DbTxn` | `commitTransaction(com.sleepycat.db.DbTxn transaction)` Commit a transaction, throwing a JMSException if a failure occurs to avoid TRA rolling back
`static com.sleepycat.db.DbEnv` | `createEnvironment(java.io.File dir, boolean runRecovery)`
`static com.sleepycat.db.DbTxn` | `createTransaction(com.sleepycat.db.DbEnv environment)`
`static com.sleepycat.db.DbTxn` | `getTransaction()`
`static int` | `getTransactionCount()`
`static com.sleepycat.db.Db` | `open(com.sleepycat.db.DbEnv environment, java.lang.String name, boolean isQueue)`
`static com.sleepycat.db.DbTxn` | `popTransaction()` Pops off the current transaction from the stack
`static void` | `pushTransaction(com.sleepycat.db.DbTxn transaction)` Sets the current transaction, possibly including nesting
`static void` | `rollbackTransaction(com.sleepycat.db.DbTxn transaction)` Rolls back the transaction, catching all exceptions as we only rollback if we are about to throw an exception anyways

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRANSACTION_FLAGS

    public static final int TRANSACTION_FLAGS

Constructor Detail

### BDbHelper

    public BDbHelper()

Method Detail

### createEnvironment

    public static com.sleepycat.db.DbEnv createEnvironment(java.io.File dir,
                                                           boolean runRecovery)
                                                    throws com.sleepycat.db.DbException,
                                                           java.io.FileNotFoundException

  Throws:
    `com.sleepycat.db.DbException`
    `java.io.FileNotFoundException`

### open

    public static com.sleepycat.db.Db open(com.sleepycat.db.DbEnv environment,
                                           java.lang.String name,
                                           boolean isQueue)
                                    throws java.io.FileNotFoundException,
                                           com.sleepycat.db.DbException,
                                           JMSException

  Throws:
    `java.io.FileNotFoundException`
    `com.sleepycat.db.DbException`
    `JMSException`

### getTransaction

    public static com.sleepycat.db.DbTxn getTransaction()

  Returns:
    the current thread local transaction that is in progress or null if there is no transaction in progress

### popTransaction

    public static com.sleepycat.db.DbTxn popTransaction()

  Pops off the current transaction from the stack

### pushTransaction

    public static void pushTransaction(com.sleepycat.db.DbTxn transaction)

  Sets the current transaction, possibly including nesting

### getTransactionCount

    public static int getTransactionCount()

### createTransaction

    public static com.sleepycat.db.DbTxn createTransaction(com.sleepycat.db.DbEnv environment)
                                                    throws com.sleepycat.db.DbException

  Throws:
    `com.sleepycat.db.DbException`

### commitTransaction

    public static com.sleepycat.db.DbTxn commitTransaction(com.sleepycat.db.DbTxn transaction)
                                                    throws JMSException

  Commit a transaction, throwing a JMSException if a failure occurs to avoid TRA rolling back

  Parameters:
    `transaction` -
  Throws:
    `JMSException` - if the transaction could not be committed

### rollbackTransaction

    public static void rollbackTransaction(com.sleepycat.db.DbTxn transaction)

  Rolls back the transaction, catching all exceptions as we only rollback if we are about to throw an exception anyways

  Parameters:
    `transaction` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.